¿Cómo puedo actualizar OpenSSH Server en Ubuntu Hardy (8.04) de v4.7 a CURRENT?

Intenté agregar backports a mis fonts apt, pero eso no hace que ninguna versión más reciente de OpenSSH aparezca como disponible para actualizar a. Consulte: https://help.ubuntu.com/community/UbuntuBackports

¿Algunas ideas?